Skip to main content
POST

Authorizations

Authorization
string
header
required

JWT bearer token. Include as Authorization: Bearer <token>. See the Authentication guide for how to obtain one.

Headers

X-Idempotency-Key
string<uuid>
required

Unique key to ensure idempotent request processing. Required on all POST, PUT, and PATCH requests.

X-Trace-Version
string

API version. Omit to use the default version.

Example:

"1"

Body

application/json

Request body for creating a beneficiary.

entity
Company · object
required

The person or company that receives funds. Discriminated by type.

relationshipType
enum<string>
required

Whether the beneficiary is the customer themselves (SELF_OWNED) or a separate party (THIRD_PARTY).

Available options:
SELF_OWNED,
THIRD_PARTY
paymentInstruction
PIX key · object
required

Payment instruction for receiving funds. Discriminated by rail.

Response

Beneficiary created. Its initial payment instruction starts in PENDING_REVIEW status.

An external beneficiary registered for withdrawals.

id
string<uuid>
required
read-only
Example:

"ben-a1b2c3d4-5e6f-7890-abcd-ef1234567890"

customerId
string<uuid>
required

Customer that owns this beneficiary.

entity
Individual · object
required

The person or company that receives funds. Discriminated by type.

relationshipType
enum<string>
required

Whether the beneficiary is the customer themselves (SELF_OWNED) or a separate party (THIRD_PARTY).

Available options:
SELF_OWNED,
THIRD_PARTY
paymentInstructions
object[]
required
createdAt
string<date-time>
required
read-only
Example:

"2026-04-14T10:30:00Z"

updatedAt
string<date-time>
required
read-only
Example:

"2026-04-14T10:30:00Z"